texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[8399] * texinfo-js.in: Add program name to messages.


From: gavinsmith0123
Subject: [8399] * texinfo-js.in: Add program name to messages.
Date: Thu, 25 Oct 2018 09:26:17 -0400 (EDT)

Revision: 8399
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=8399
Author:   gavin
Date:     2018-10-25 09:26:16 -0400 (Thu, 25 Oct 2018)
Log Message:
-----------
* texinfo-js.in: Add program name to messages.

Modified Paths:
--------------
    trunk/js/texinfo-js.in

Modified: trunk/js/texinfo-js.in
===================================================================
--- trunk/js/texinfo-js.in      2018-10-24 22:38:20 UTC (rev 8398)
+++ trunk/js/texinfo-js.in      2018-10-25 13:26:16 UTC (rev 8399)
@@ -32,7 +32,7 @@
 
 help () {
   cat <<EOF
-Usage: texinfo-js MANUAL [texi2any options]"
+Usage: $progname MANUAL [texi2any options]"
 
 Run texi2any on MANUAL, adding a JavaScript browsing interface.  Any
 extra options are passed through to texi2any.
@@ -44,6 +44,9 @@
 
 }
 
+progname=$0
+progname=`echo $progname | sed -e s,.*/,,`
+
 manual=
 
 while test x"$1" != x ; do
@@ -57,7 +60,7 @@
       exit 0
       ;;
     -*)
-      echo "unknown option -$1"
+      echo "$progname: unknown option -$1"
       exit 1 ;;
     *)
       manual=$1
@@ -92,7 +95,7 @@
 css_files="$pkgdatadir/info.css"
 for f in $js_scripts $css_files ; do
   if ! test -f $f ; then
-    echo "$f not found"
+    echo "$progname: $f not found"
     exit 1
   fi
 done
@@ -102,9 +105,11 @@
   OUTDIR=${OUTDIR%.texi}-html
 fi
 
+echo $TEXI2ANY --html -c EXTRA_HEAD="$extra_head" $manual -o $OUTDIR 
$texi2any_flags
 $TEXI2ANY --html -c EXTRA_HEAD="$extra_head" $manual -o $OUTDIR $texi2any_flags
+
 if test $? -ne 0 ; then
-  echo "texi2any failed"
+  echo "$progname: texi2any failed"
   exit 1
 else
   cp $js_scripts $css_files $OUTDIR




reply via email to

[Prev in Thread] Current Thread [Next in Thread]